RhinoWorkerUtils (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.plugins.javascript.rhino.worker

## Class RhinoWorkerUtils

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.worker.RhinoWorkerUtils

- Deprecated.

      @Deprecated
      public abstract class RhinoWorkerUtils
      extends Object

  This should have originally been an internal API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RhinoWorkerUtils.DefaultScopeOperation<T>` Deprecated.
    `static interface` | `RhinoWorkerUtils.ScopeOperation<T>` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoWorkerUtils()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <R> R` | `childScope(org.mozilla.javascript.Scriptable parentScope, RhinoWorkerUtils.ScopeOperation<R> operation)` Deprecated.
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding)` Deprecated.
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding, Action<org.mozilla.javascript.Context> contextConfig)` Deprecated.
    `static <T> T` | `parseRhino(File rhinoScript, RhinoWorkerUtils.ScopeOperation<T> operation)` Deprecated.
    `static String` | `readFile(File file, String encoding)` Deprecated.
    `static Object` | `toJavaValue(Object object)` Deprecated.
    `static Map<String,Object>` | `toMap(org.mozilla.javascript.Scriptable obj)` Deprecated.
    `static void` | `writeFile(String content, File destination, String encoding)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoWorkerUtils

          public RhinoWorkerUtils()

      Deprecated.

  - ### Method Detail

    - #### readFile

          public static String readFile(File file,
                        String encoding)

      Deprecated.

    - #### writeFile

          public static void writeFile(String content,
                       File destination,
                       String encoding)

      Deprecated.

    - #### parse

          public static org.mozilla.javascript.Scriptable parse(File source,
                                                String encoding)

      Deprecated.

    - #### parseRhino

          public static <T> T parseRhino(File rhinoScript,
                         RhinoWorkerUtils.ScopeOperation<T> operation)

      Deprecated.

    - #### parse

          public static org.mozilla.javascript.Scriptable parse(File source,
                                                String encoding,
                                                Action<org.mozilla.javascript.Context> contextConfig)

      Deprecated.

    - #### childScope

          public static <R> R childScope(org.mozilla.javascript.Scriptable parentScope,
                         RhinoWorkerUtils.ScopeOperation<R> operation)

      Deprecated.

    - #### toMap

          public static Map<String,Object> toMap(org.mozilla.javascript.Scriptable obj)

      Deprecated.

    - #### toJavaValue

          public static Object toJavaValue(Object object)

      Deprecated.